%define _httpd_apxs /usr/bin/apxs
%define httpd httpd
 
Name:           httpd-mod_jk
Version:        1.2.40
Release:        1%{?org_tag}%{?dist}
Epoch:          0
Summary:        Tomcat mod_jk connector for Apache
License:        Apache License
Group:          Development/Java
URL:            http://tomcat.apache.org/
Source0:        http://www.apache.org/dist/tomcat/tomcat-connectors/jk/tomcat-connectors-%{version}-src.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       %{httpd}
BuildRequires:  %{httpd}-devel
BuildRequires:  libtool
Obsoletes:      mod_jk < %{epoch}:%{version}-%{release}
Provides:       mod_jk = %{epoch}:%{version}-%{release}
Obsoletes:      tomcat-mod < %{epoch}:%{version}-%{release}
 
%description
The mod_jk module add support for the Apache HTTP Server, to communicate as a front-end server
for Apache Tomcat Server or any other AJP1.3-enabled application server, with optional load-balancing. 

%prep
%setup -q -n tomcat-connectors-%{version}-src
 
(cd native && %{__libtoolize} --copy --force)
 
%build
cd native
 
%configure \
  --with-apxs=%{_httpd_apxs} \
 
make
cd ..
 
%install
rm -rf %{buildroot}
 
mkdir -p %{buildroot}/%{httpd}/modules
mkdir -p %{buildroot}/%{httpd}/conf/
mkdir -p %{buildroot}/%{httpd}/conf.d/
 
cat <<EOF > conf/10-mod_jk.conf
# This file configures the mod_jk module:
LoadModule jk_module modules/mod_jk.so
EOF

%{__install} -D -m 755 native/apache-2.0/mod_jk.so %{buildroot}/%{_sysconfdir}/%{httpd}/modules/mod_jk.so
#%{__install} -D -m 644 conf/workers.properties -D %{buildroot}/%{_sysconfdir}/%{httpd}/conf/workers.properties
#%{__install} -D -m 644 conf/httpd-jk.conf -D %{buildroot}/%{_sysconfdir}/%{httpd}/conf.d/10_mod_jk.conf
%{__install} -D -m 644 conf/10-mod_jk.conf -D %{buildroot}/%{_sysconfdir}/%{httpd}/conf.modules.d/10-mod_jk.conf
 
%files
%doc LICENSE NOTICE conf/workers.properties.minimal
%doc native/BUILDING.txt native/README.txt native/STATUS.txt native/TODO.txt
%config(noreplace) /%{_sysconfdir}/%{httpd}/conf.modules.d/10-mod_jk.conf
#%config(noreplace) /%{_sysconfdir}/%{httpd}/conf.d/10_mod_jk.conf
#%config(noreplace) /%{_sysconfdir}/%{httpd}/conf/workers.properties
/%{_sysconfdir}/%{httpd}/modules/mod_jk.so
 
%changelog
* Tue May 05 2015 Django <django@mailserver.guru> - 0:1.2.40-1
- Initial build for CentOS 7

